Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class PhpFacesApplicationFactory

    java.lang.Object
      javax.faces.application.ApplicationFactory
          php.java.faces.PhpFacesApplicationFactory

    public class PhpFacesApplicationFactory

extends javax.faces.application.ApplicationFactory

Create a PhpFacesApplication.

Author:
  jostb

Constructor Summary
`PhpFacesApplicationFactory()`
`PhpFacesApplicationFactory(javax.faces.application.ApplicationFactory factory)`

Method Summary
`javax.faces.application.Application` | `getApplication()`
`void` | `setApplication(javax.faces.application.Application application)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpFacesApplicationFactory

    public PhpFacesApplicationFactory(javax.faces.application.ApplicationFactory factory)

### PhpFacesApplicationFactory

    public PhpFacesApplicationFactory()

Method Detail

### getApplication

    public javax.faces.application.Application getApplication()

  Specified by:
    `getApplication` in class `javax.faces.application.ApplicationFactory`

### setApplication

    public void setApplication(javax.faces.application.Application application)

  Specified by:
    `setApplication` in class `javax.faces.application.ApplicationFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD